Skip to content

List active queued or running action executions for runtime UI state.

GET
/api/workspace/entity/{entityIdOrKey}/ui/actions/active
curl --request GET \
--url https://example.com/api/workspace/entity/example/ui/actions/active
  • None
entityIdOrKey
required
string
ActionId
Array<string>
EntityInstanceId
string
SelectedEntityInstanceIds
Array<string>
access_token
string

Optional access token for clients that cannot set Authorization headers. Prefer Authorization: Bearer <token> when possible.

OK

Media typeapplication/json
object
Data
Array<object>
nullable

Active queued or running action execution visible to the runtime UI.

object
JobId
string
nullable
ActionId
string
nullable
TargetKey
string
nullable
BusinessFunctionId
string
nullable
BusinessFunctionVersionId
string
nullable
Status
integer format: int32
Allowed values: 0 1 2 3 4
ActionTargetScope
integer format: int32
Allowed values: 0 1 2 3
EntityDefinitionId
string
nullable
EntityInstanceId
string
nullable
DeduplicationKey
string
nullable
NextRunAt
string format: date-time
CreatedAt
string format: date-time
ModifiedAt
string format: date-time
nullable
LastError
string
nullable
ResultData
object
Errors
Array<object>
nullable
object
Code
required
string
nullable
Message
required
string
nullable
Target
string
nullable
Field
string
nullable
Metadata
object
key
additional properties
string
nullable
Type
integer format: int32
Allowed values: 0 1 2
Severity
integer format: int32
Allowed values: 0 1 2
Warnings
Array<object>
nullable
object
Code
required
string
nullable
Message
required
string
nullable
Target
string
nullable
Field
string
nullable
Metadata
object
key
additional properties
string
nullable
Type
integer format: int32
Allowed values: 0 1 2
Severity
integer format: int32
Allowed values: 0 1 2
Success
boolean
Example
{
"Data": [
{
"Status": 0,
"ActionTargetScope": 0
}
],
"Errors": [
{
"Type": 0,
"Severity": 0
}
],
"Warnings": [
{
"Type": 0,
"Severity": 0
}
]
}

Forbidden

Media typeapplication/json
object
type
string
nullable
title
string
nullable
status
integer format: int32
nullable
detail
string
nullable
instance
string
nullable
key
additional properties
Examplegenerated
{
"type": "example",
"title": "example",
"status": 1,
"detail": "example",
"instance": "example"
}

Not Found

Media typeapplication/json
object
Data
Array<object>
nullable

Active queued or running action execution visible to the runtime UI.

object
JobId
string
nullable
ActionId
string
nullable
TargetKey
string
nullable
BusinessFunctionId
string
nullable
BusinessFunctionVersionId
string
nullable
Status
integer format: int32
Allowed values: 0 1 2 3 4
ActionTargetScope
integer format: int32
Allowed values: 0 1 2 3
EntityDefinitionId
string
nullable
EntityInstanceId
string
nullable
DeduplicationKey
string
nullable
NextRunAt
string format: date-time
CreatedAt
string format: date-time
ModifiedAt
string format: date-time
nullable
LastError
string
nullable
ResultData
object
Errors
Array<object>
nullable
object
Code
required
string
nullable
Message
required
string
nullable
Target
string
nullable
Field
string
nullable
Metadata
object
key
additional properties
string
nullable
Type
integer format: int32
Allowed values: 0 1 2
Severity
integer format: int32
Allowed values: 0 1 2
Warnings
Array<object>
nullable
object
Code
required
string
nullable
Message
required
string
nullable
Target
string
nullable
Field
string
nullable
Metadata
object
key
additional properties
string
nullable
Type
integer format: int32
Allowed values: 0 1 2
Severity
integer format: int32
Allowed values: 0 1 2
Success
boolean
Example
{
"Data": [
{
"Status": 0,
"ActionTargetScope": 0
}
],
"Errors": [
{
"Type": 0,
"Severity": 0
}
],
"Warnings": [
{
"Type": 0,
"Severity": 0
}
]
}